POST
/v1/agents/tool-approvals/{gateId}Submit a tool approval decision
Submits an approval decision for a tool approval gate. Set approved to indicate whether the authenticated user approves the requested tool action.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
gateIdstringrequired
The unique identifier of the tool approval gate.
The decision for the tool approval gate.
approvedbooleanrequired
Whether to approve the requested tool action.
200Returns the result of submitting the tool approval decision.
Error handling
approved is required and must be a boolean. The gateId path parameter must identify the tool approval gate for this decision.